LinkOutputStream (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Class LinkOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.DataOutputStream
                  com.bbn.openmap.layer.link.LinkOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.DataOutput, java.io.Flushable

    public class LinkOutputStream

extends java.io.DataOutputStream

Extend DataOutputStream so we can reset the written byte count.

See Also:
  `DataOutputStream`

Field Summary

Fields inherited from class java.io.DataOutputStream
`written`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`LinkOutputStream(java.io.OutputStream out)` Creates a new link output stream to write data to the specified underlying output stream.

Method Summary
`int` | `clearWritten()` Reset the written bytecount back to 0.

Methods inherited from class java.io.DataOutputStream
`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataOutput
`write`

Constructor Detail

### LinkOutputStream

    public LinkOutputStream(java.io.OutputStream out)

  Creates a new link output stream to write data to the specified underlying output stream.

  Parameters:
    `out` - the underlying output stream, to be saved for later use.

Method Detail

### clearWritten

    public int clearWritten()

  Reset the written bytecount back to 0.

  Returns:
    the previous value of `written`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details